.wrapper {
    position: relative;
    margin: 40px auto;
    background: inherit;
    border-radius: 50%;
    width:250;
    height:250;
}

.wrapper .background {
    width: 100%;
    height: 100%;
    position: absolute;
    background:#0F0;
    border-radius: 50%;
    border: 4px solid rgb(20, 20, 20);
    z-index: 100;
}

.wrapper .pie {
    width: 50%;
    height: 100%;
    transform-origin: 100% 50%;
    position: absolute;
    background:#F00;
    border: 5px;
}

.wrapper .spinner {
    border-radius: 100% 0 0 100% / 50% 0 0 50%;
    z-index: 300;
    border-right: none;
}



.wrapper .filler {
    border-radius: 0 100% 100% 0 / 0 50% 50% 0; 
    left: 50%;
    opacity: 0;
    z-index: 200;
    border-left: none;
}

.wrapper .filler.half {
    opacity: 1;
}

.wrapper .mask {
    border-radius: 100% 0 0 100% / 50% 0 0 50%;
    width: 50%;
    height: 100%;
    position: absolute;
    background:#0F0;
    opacity: 1;
    z-index: 400;
}

.wrapper .mask.half {
    opacity: 0;
}


@keyframes rota {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

@keyframes opa {
    0% { opacity: 1; }
    50%, 100% { opacity: 0; }
}
